Subject: Re: linux-next: Tree for October 21 (printk format warnings)

From: David Miller <[email-masked]>
Date: Tue, 21 Oct 2008 22:20:20 -0700 (PDT)

From: Randy Dunlap <[email-masked]>
Date: Tue, 21 Oct 2008 22:11:16 -0700

> On Tue, 21 Oct 2008 22:07:54 -0700 (PDT) David Miller wrote:
> 
> > From: Greg KH <[email-masked]>
> > Date: Tue, 21 Oct 2008 22:01:42 -0700
> > 
> > > What's the expected modifier for "size_t" to work on all arches?
> > 
> > Put "%Z" in front of the output specifier you want to use,
> > for example %Zd for decimal and %Zx for hex.
> > 
> > > Same goes for the result of "size_of()", what should we use there?  Or
> > > are we just required to always cast things?
> > 
> > Sizeof should use the same as above.
> 
> I know that Alan recently merged a patch with %Zd instead of %zd,
> but the ANSI spec says to use %z, so I thought that we were going with
> that moreso than %Z... ??

I think you're right.

My old fingers must do %Z automatically because gcc a long time ago
didn't recognize %z and warned.  That should be such an old gcc problem
as to be irrelevant these days.